#!/bin/awk -f
## Simulate the star catalogue: start as "./genlst.awk -v nst=<Nstars> and
## redirect the output to the file.
BEGIN {
	if (nst==0) nst=100
	for (i=0; i<nst; i++) {
		d = -90+rand()*180
		if (cos(d*3.1415926535/180)<rand()) {i--; continue}
		h = rand()*24
		hr = "HR"int(rand()*9800)
		m = 4 - 4*rand()*rand()
		if (rand()>0.7) {s="A5V"} else {if (rand()>0.3) {s="K7V"} else {s="B3III"}}
		print hr,h,d,m,s
	}
}




